#
# Targets.
#

objgetopt := @needgetopt@
objgetut  := @needgetut@
objsetenv := @needsetenv@

mconv: src/converter.o src/menu.o src/lock.o src/ldb.o src/mstring.o src/fakehook.o src/version.o $(objgetopt)
	$(CC) $(FINALFLAGS) -o $@ src/converter.o src/menu.o src/lock.o src/ldb.o src/mstring.o src/fakehook.o src/version.o $(objgetopt)

mview: src/viewer.o src/getdate.o src/display.o src/menu.o src/lock.o src/ldb.o src/mstring.o src/fakehook.o src/version.o $(objgetopt) $(objsetenv)
	$(CC) $(FINALFLAGS) $(libtermcap) -o $@ src/viewer.o src/getdate.o src/display.o src/menu.o src/lock.o src/ldb.o src/mstring.o src/fakehook.o src/version.o $(objgetopt) $(objsetenv)

mgid: src/mgid.o src/version.o $(objgetopt)
	$(CC) $(FINALFLAGS) -o $@ src/mgid.o src/version.o $(objgetopt)

mtrunc: src/mtrunc.o src/lock.o src/truncate.o src/version.o $(objgetopt)
	$(CC) $(FINALFLAGS) -o $@ src/mtrunc.o src/lock.o src/truncate.o src/version.o $(objgetopt)

mte: src/mte.o src/getdate.o src/display/terminal.o src/display/editor.o src/mstring.o src/fakehook.o src/version.o $(objgetopt) $(objsetenv)
	$(CC) $(FINALFLAGS) $(libtermcap) -o $@ src/mte.o src/getdate.o src/display/terminal.o src/display/editor.o src/mstring.o src/fakehook.o src/version.o $(objgetopt) $(objsetenv)

mbbs: src/bbs.o src/getdate.o src/display.o src/menu.o src/lock.o src/ldb.o src/mstring.o src/truncate.o src/version.o $(objgetopt) $(objgetut) $(objsetenv)
	$(CC) $(FINALFLAGS) $(libtermcap) $(libcrypt) -o $@ src/bbs.o src/getdate.o src/display.o src/menu.o src/lock.o src/ldb.o src/mstring.o src/truncate.o src/version.o $(objgetopt) $(objgetut) $(objsetenv)

mtime: src/mtime.o src/getdate.o src/version.o $(objgetopt)
	$(CC) $(FINALFLAGS) -o $@ src/mtime.o src/getdate.o src/version.o $(objgetopt)

